## Component List

### Common parameters

All the components include these three parameters:

- name [string]: Name of the component.
- type [string]: Type of the component.
- description [string]: Description of the component.

We have divided the list of all components into several groups of related components:

- Components to define shedules: Day_schedule, Week_schedule, Year_schedule.
- Components for reading files: File_met, File_data.
- Constructive components: Material, Construction, Glazing, Frame, Opening_type.
- Building definition components: Building, Space_type, Space, Exterior_surface, Interior_surface, Underground_surface, Virtual_surface, Opening, Shadow_surface.
- HVAC systems components: HVAC_perfect_system.
- Components for various utilities: Calculator.

#### Search

From here you can search these documents. Enter your search terms below.

#### Keyboard Shortcuts

Keys | Action
--- | ---
`?` | Open this help
`n` | Next page
`p` | Previous page
`s` | Search